import { Module } from '@nestjs/common';
import { PrismaModule } from './prisma/prisma.module';
import { GraphQLModule } from '@nestjs/graphql';
import { ApolloDriver, ApolloDriverConfig } from '@nestjs/apollo';
import { ResolverModule } from './resolvers/resolver.module';
import { TelegramModule } from './telegram/telegram.module';

@Module({
	imports: [
		PrismaModule,
		GraphQLModule.forRoot<ApolloDriverConfig>({
			driver: ApolloDriver,
			autoSchemaFile: true,
			playground: true,
			subscriptions: {
				'graphql-ws': true,
			},
			context: (ctx) => ({
				req: ctx.request || ctx.req,
			}),
		}),
		ResolverModule,
		TelegramModule,
	],
})
export class AppModule {}
